diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/DensityGeneratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/DensityGeneratorOverworld.java
index 3097a4e04..d3bd5f73c 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/DensityGeneratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/DensityGeneratorOverworld.java
@@ -6,24 +6,23 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
 import net.minecraft.core.world.noise.BasePerlinNoise;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class DensityGeneratorOverworld
-    implements DensityGenerator
-{
-    private final World world;
+    implements DensityGenerator {
+    private final @NotNull World world;
 
-    private final BasePerlinNoise<?> minLimitNoise;
-    private final BasePerlinNoise<?> maxLimitNoise;
-    private final BasePerlinNoise<?> mainNoise;
-    private final BasePerlinNoise<?> scaleNoise;
-    private final BasePerlinNoise<?> depthNoise;
+    private final @NotNull BasePerlinNoise<?> minLimitNoise;
+    private final @NotNull BasePerlinNoise<?> maxLimitNoise;
+    private final @NotNull BasePerlinNoise<?> mainNoise;
+    private final @NotNull BasePerlinNoise<?> scaleNoise;
+    private final @NotNull BasePerlinNoise<?> depthNoise;
 
     private final boolean generateRivers;
-    private final BasePerlinNoise<?> smoothingRiverNoise;
-    private final BasePerlinNoise<?> carvingRiverNoise;
+    private final @NotNull BasePerlinNoise<?> smoothingRiverNoise;
+    private final @NotNull BasePerlinNoise<?> carvingRiverNoise;
 
-    protected DensityGeneratorOverworld(World world, BasePerlinNoise<?> minLimitNoise, BasePerlinNoise<?> maxLimitNoise, BasePerlinNoise<?> mainNoise, BasePerlinNoise<?> scaleNoise, BasePerlinNoise<?> depthNoise, boolean generateRivers)
-    {
+    protected DensityGeneratorOverworld(@NotNull World world, @NotNull BasePerlinNoise<?> minLimitNoise, @NotNull BasePerlinNoise<?> maxLimitNoise, @NotNull BasePerlinNoise<?> mainNoise, @NotNull BasePerlinNoise<?> scaleNoise, @NotNull BasePerlinNoise<?> depthNoise, boolean generateRivers) {
         this.world = world;
 
         this.minLimitNoise = minLimitNoise;
@@ -37,20 +36,18 @@ public class DensityGeneratorOverworld
         this.carvingRiverNoise = new PerlinNoise(world.getRandomSeed() + 1, 1);
     }
 
-    public DensityGeneratorOverworld(World world)
-    {
+    public DensityGeneratorOverworld(@NotNull World world) {
         this(world,
-             new PerlinNoise(world.getRandomSeed(), 16, 0),
-             new PerlinNoise(world.getRandomSeed(), 16, 16),
-             new PerlinNoise(world.getRandomSeed(), 8, 32),
-             new PerlinNoise(world.getRandomSeed(), 10, 48),
-             new PerlinNoise(world.getRandomSeed(), 16, 58),
-             true
-         );
+            new PerlinNoise(world.getRandomSeed(), 16, 0),
+            new PerlinNoise(world.getRandomSeed(), 16, 16),
+            new PerlinNoise(world.getRandomSeed(), 8, 32),
+            new PerlinNoise(world.getRandomSeed(), 10, 48),
+            new PerlinNoise(world.getRandomSeed(), 16, 58),
+            true
+        );
     }
 
-    private void modifyDensityMapSmoothingRivers(int chunkX, int chunkZ, int terrainHeight, double[] densityMapArray)
-    {
+    private void modifyDensityMapSmoothingRivers(int chunkX, int chunkZ, int terrainHeight, double @NotNull [] densityMapArray) {
         int xSize = 4 + 1;
         int ySize = (terrainHeight / 8) + 1;
         int zSize = 4 + 1;
@@ -59,22 +56,19 @@ public class DensityGeneratorOverworld
 
         double riverLevel = 0d;
 
-        double[] largeSmoothing = smoothingRiverNoise.get(null, x, z, xSize, zSize, 1 / (1000d / xSize), 1 / (1000d / zSize));
-        double[] mediumSmoothing = smoothingRiverNoise.get(null, x, z, xSize, zSize, 1 / (50d / xSize), 1 / (50d / zSize));
-        double[] smallSmoothing = smoothingRiverNoise.get(null, x, z, xSize, zSize, 1 / (10d / xSize), 1 / (10d / zSize));
+        double[] largeSmoothing = this.smoothingRiverNoise.get(null, x, z, xSize, zSize, 1 / (1000d / xSize), 1 / (1000d / zSize));
+        double[] mediumSmoothing = this.smoothingRiverNoise.get(null, x, z, xSize, zSize, 1 / (50d / xSize), 1 / (50d / zSize));
+        double[] smallSmoothing = this.smoothingRiverNoise.get(null, x, z, xSize, zSize, 1 / (10d / xSize), 1 / (10d / zSize));
 
-        double[] riverRadiuses = new double[] { 0.006, 0.024, 0.036 };
-        double[] riverMults = new double[] { 20, 60, 60 };
+        double[] riverRadiuses = new double[]{0.006, 0.024, 0.036};
+        double[] riverMults = new double[]{20, 60, 60};
 
-        for (int dx = 0; dx < xSize; dx++)
-        {
-            for (int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
                 final double sample = largeSmoothing[dx * zSize + dz] + mediumSmoothing[dx * zSize + dz] * 0.04 + smallSmoothing[dx * zSize + dz] * 0.004;
                 double finalSample = 0.0;
 
-                for (int i = 0; i < riverRadiuses.length; i++)
-                {
+                for (int i = 0; i < riverRadiuses.length; i++) {
                     if (sample < riverLevel - riverRadiuses[i] || sample > riverLevel + riverRadiuses[i]) continue;
                     double modSample = sample;
                     modSample -= riverLevel;
@@ -86,14 +80,10 @@ public class DensityGeneratorOverworld
                     finalSample += modSample;
                 }
 
-                for (int dy = 0; dy < ySize; dy++)
-                {
-                    if (dy < ySize / 2)
-                    {
+                for (int dy = 0; dy < ySize; dy++) {
+                    if (dy < ySize / 2) {
                         densityMapArray[(dx * ySize * zSize) + (dz * ySize) + dy] -= finalSample * (dy / (ySize / 2d)) * (dy / (ySize / 2d));
-                    }
-                    else
-                    {
+                    } else {
                         densityMapArray[(dx * ySize * zSize) + (dz * ySize) + dy] -= finalSample;
                     }
                 }
@@ -101,8 +91,7 @@ public class DensityGeneratorOverworld
         }
     }
 
-    private void modifyDensityMapCarvingRivers(int chunkX, int chunkZ, int terrainHeight, double[] densityMapArray)
-    {
+    private void modifyDensityMapCarvingRivers(int chunkX, int chunkZ, int terrainHeight, double @NotNull [] densityMapArray) {
         int xSize = 4 + 1;
         int ySize = (terrainHeight / 8) + 1;
         int zSize = 4 + 1;
@@ -113,22 +102,19 @@ public class DensityGeneratorOverworld
 
         double riverLevel = 0d;
 
-        double[] largeCarving = carvingRiverNoise.get(null, x, z, xSize, zSize, 1 / (1000d / xSize), 1 / (1000d / zSize));
-        double[] mediumCarving = carvingRiverNoise.get(null, x, z, xSize, zSize, 1 / (50d / xSize), 1 / (50d / zSize));
-        double[] smallCarving = carvingRiverNoise.get(null, x, z, xSize, zSize, 1 / (10d / xSize), 1 / (10d / zSize));
+        double[] largeCarving = this.carvingRiverNoise.get(null, x, z, xSize, zSize, 1 / (1000d / xSize), 1 / (1000d / zSize));
+        double[] mediumCarving = this.carvingRiverNoise.get(null, x, z, xSize, zSize, 1 / (50d / xSize), 1 / (50d / zSize));
+        double[] smallCarving = this.carvingRiverNoise.get(null, x, z, xSize, zSize, 1 / (10d / xSize), 1 / (10d / zSize));
 
-        double[] riverRadiuses = new double[] { 0.012, 0.018, 0.024 };
-        double[] riverMults = new double[] { 20, 60, 60 };
+        double[] riverRadiuses = new double[]{0.012, 0.018, 0.024};
+        double[] riverMults = new double[]{20, 60, 60};
 
-        for (int dx = 0; dx < xSize; dx++)
-        {
-            for (int dz = 0; dz < zSize; dz++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dz = 0; dz < zSize; dz++) {
                 final double sample = largeCarving[dx * zSize + dz] + mediumCarving[dx * zSize + dz] * 0.04 + smallCarving[dx * zSize + dz] * 0.004;
                 double finalSample = 0.0;
 
-                for (int i = 0; i < riverRadiuses.length; i++)
-                {
+                for (int i = 0; i < riverRadiuses.length; i++) {
                     if (sample < riverLevel - riverRadiuses[i] || sample > riverLevel + riverRadiuses[i]) continue;
                     double modSample = sample;
                     modSample -= riverLevel;
@@ -142,10 +128,9 @@ public class DensityGeneratorOverworld
 
                 if (finalSample <= 0.0) continue;
 
-                for (int dy = ySize / 2 - maxUndergroundRiverHeight; dy < ySize / 2 + maxUndergroundRiverHeight; dy++)
-                {
-                    double heightFactor = dy;                                           // Range = ySize / 2 - maxUndergroundRiverHeight to ySize / 2 + maxUndergroundRiverHeight
-                    heightFactor = heightFactor - (int)(ySize / 2);                     // Range = -maxUndergroundRiverHeight to maxUndergroundRiverHeight
+                for (int dy = ySize / 2 - maxUndergroundRiverHeight; dy < ySize / 2 + maxUndergroundRiverHeight; dy++) {
+                    double heightFactor = dy;                   // Range = ySize / 2 - maxUndergroundRiverHeight to ySize / 2 + maxUndergroundRiverHeight
+                    heightFactor = heightFactor - (ySize / 2);  // Range = -maxUndergroundRiverHeight to maxUndergroundRiverHeight
                     heightFactor /= maxUndergroundRiverHeight;
                     heightFactor = Math.abs(heightFactor);
                     heightFactor = -heightFactor;
@@ -158,9 +143,8 @@ public class DensityGeneratorOverworld
     }
 
     @Override
-    public double[] generateDensityMap(Chunk chunk)
-    {
-        int terrainHeight = (world.getWorldType().getMaxY() + 1) - world.getWorldType().getMinY();
+    public double @NotNull [] generateDensityMap(@NotNull Chunk chunk) {
+        int terrainHeight = (this.world.getWorldType().getMaxY() + 1) - this.world.getWorldType().getMinY();
 
         int xSize = 4 + 1;
         int ySize = (terrainHeight / 8) + 1;
@@ -182,7 +166,7 @@ public class DensityGeneratorOverworld
         final double depthNoiseScaleZ = 200;
 
         // This ternary operator business should be replaced properly once world settings are added.
-        final double depthBaseSize = world.getWorldType() == WorldTypes.OVERWORLD_AMPLIFIED ? 8.5D : (terrainHeight / 16D) + 0.5D;
+        final double depthBaseSize = this.world.getWorldType() == WorldTypes.OVERWORLD_AMPLIFIED ? 8.5D : (terrainHeight / 16D) + 0.5D;
 
         final double coordScale = 684.412D;
         final double heightScale = 684.412D;
@@ -190,23 +174,21 @@ public class DensityGeneratorOverworld
         final double heightStretch = 12;
 
         // Ditto to ^
-        final double upperLimitScale = world.getWorldType() == WorldTypes.OVERWORLD_AMPLIFIED ? 128 : 512;
+        final double upperLimitScale = this.world.getWorldType() == WorldTypes.OVERWORLD_AMPLIFIED ? 128 : 512;
         final double lowerLimitScale = 512;
 
         // uses temp and humidity to alter terrain shape.
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
-        double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
-        double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
-        double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] scaleArray = this.scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+        double[] depthArray = this.depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+        double[] mainNoiseArray = this.mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
+        double[] minLimitArray = this.minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
+        double[] maxLimitArray = this.maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
         int depthScaleIndex = 0;
         int xSizeScale = 16 / xSize;
-        for(int dx = 0; dx < xSize; dx++)
-        {
+        for (int dx = 0; dx < xSize; dx++) {
             int ix = dx * xSizeScale + xSizeScale / 2;
-            for(int dz = 0; dz < zSize; dz++)
-            {
+            for (int dz = 0; dz < zSize; dz++) {
                 int iz = dz * xSizeScale + xSizeScale / 2;
 
                 // used to control temperature based on temp and humid
@@ -220,41 +202,33 @@ public class DensityGeneratorOverworld
                 // Calculate scale
                 double scale = (scaleArray[depthScaleIndex] + 256D) / 512D;
                 scale *= humidity;
-                if(scale > 1.0D)
-                {
+                if (scale > 1.0D) {
                     scale = 1.0D;
                 }
 
                 // Calculate depth
                 double depth = depthArray[depthScaleIndex] / 8000D;
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth = -depth * 0.3D;
                 }
                 depth = depth * 3D - 2D;
 
-                if(depth < 0.0D)
-                {
+                if (depth < 0.0D) {
                     depth /= 2D;
-                    if(depth < -1D)
-                    {
+                    if (depth < -1D) {
                         depth = -1D;
                     }
                     depth /= 1.4D;
                     depth /= 2D;
                     scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
+                } else {
+                    if (depth > 1.0D) {
                         depth = 1.0D;
                     }
                     depth /= 8D;
                 }
 
-                if(scale < 0.0D)
-                {
+                if (scale < 0.0D) {
                     scale = 0.0D;
                 }
 
@@ -263,12 +237,10 @@ public class DensityGeneratorOverworld
 
                 double offsetY = depthBaseSize + depth * 4D;
                 depthScaleIndex++;
-                for(int dy = 0; dy < ySize; dy++)
-                {
+                for (int dy = 0; dy < ySize; dy++) {
                     double density;
-                    double densityOffset = (((double)dy - offsetY) * heightStretch) / scale;
-                    if(densityOffset < 0.0D)
-                    {
+                    double densityOffset = (((double) dy - offsetY) * heightStretch) / scale;
+                    if (densityOffset < 0.0D) {
                         densityOffset *= 4D;
                     }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
@@ -276,23 +248,17 @@ public class DensityGeneratorOverworld
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
 
                     // Constrain density
-                    if(mainDensity < 0.0D)
-                    {
+                    if (mainDensity < 0.0D) {
                         density = minDensity;
-                    }
-                    else if(mainDensity > 1.0D)
-                    {
+                    } else if (mainDensity > 1.0D) {
                         density = maxDensity;
-                    }
-                    else
-                    {
+                    } else {
                         density = minDensity + (maxDensity - minDensity) * mainDensity;
                     }
                     density -= densityOffset;
 
-                    if(dy > ySize - 4)
-                    {
-                        double densityMod = (float)(dy - (ySize - 4)) / 3F;
+                    if (dy > ySize - 4) {
+                        double densityMod = (float) (dy - (ySize - 4)) / 3F;
                         density = density * (1.0D - densityMod) + -10D * densityMod;
                     }
 
@@ -302,8 +268,7 @@ public class DensityGeneratorOverworld
             }
         }
 
-        if (generateRivers)
-        {
+        if (this.generateRivers) {
             modifyDensityMapSmoothingRivers(chunk.pos.x, chunk.pos.z, terrainHeight, densityMapArray);
             modifyDensityMapCarvingRivers(chunk.pos.x, chunk.pos.z, terrainHeight, densityMapArray);
         }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
index 5b19f7e02..1f1e751d5 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
@@ -11,6 +11,7 @@ import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 import net.minecraft.core.world.generate.chunk.perlin.SurfaceGenerator;
 import net.minecraft.core.world.noise.BasePerlinNoise;
 import net.minecraft.core.world.noise.PerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class SurfaceGeneratorOverworld
     implements SurfaceGenerator
@@ -43,7 +44,7 @@ public class SurfaceGeneratorOverworld
     }
 
     @Override
-    public void generateSurface(Chunk chunk, ChunkGeneratorResult result)
+    public void generateSurface(@NotNull Chunk chunk, @NotNull ChunkGeneratorResult result)
     {
         int oceanY = world.getWorldType().getOceanY();
         int minY = world.getWorldType().getMinY();
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
index 7ad3054d4..2c651ab62 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
@@ -6,30 +6,31 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
 import net.minecraft.core.world.generate.chunk.perlin.TerrainGeneratorLerp;
 import net.minecraft.core.world.type.WorldType;
+import org.jetbrains.annotations.NotNull;
 
 public class TerrainGeneratorOverworld
     extends TerrainGeneratorLerp
 {
     private final DensityGenerator densityGenerator;
 
-    protected TerrainGeneratorOverworld(World world, DensityGenerator densityGenerator)
+    protected TerrainGeneratorOverworld(@NotNull World world, @NotNull DensityGenerator densityGenerator)
     {
         super(world);
 
         this.densityGenerator = densityGenerator;
     }
 
-    public TerrainGeneratorOverworld(World world)
+    public TerrainGeneratorOverworld(@NotNull World world)
     {
         this(world, new DensityGeneratorOverworld(world));
     }
 
     @Override
-    protected int getBlockAt(Chunk chunk, int x, int y, int z, double density)
+    protected int getBlockAt(@NotNull Chunk chunk, int x, int y, int z, double density)
     {
-        WorldType type = world.getWorldType();
+        WorldType type = this.world.getWorldType();
 
-        if (y <= type.getMinY() + rand.nextInt(5))
+        if (y <= type.getMinY() + this.rand.nextInt(5))
         {
             return Blocks.BEDROCK.id();
         }
@@ -46,8 +47,8 @@ public class TerrainGeneratorOverworld
     }
 
     @Override
-    public DensityGenerator getDensityGenerator()
+    public @NotNull DensityGenerator getDensityGenerator()
     {
-        return densityGenerator;
+        return this.densityGenerator;
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkDecoratorOverworldB173.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkDecoratorOverworldB173.java
index 316ad138b..5f0bb0b67 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkDecoratorOverworldB173.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkDecoratorOverworldB173.java
@@ -2,7 +2,6 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.b173;
 
 import net.minecraft.core.block.BlockLogicSand;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
@@ -10,14 +9,12 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.feature.*;
 import net.minecraft.core.world.noise.PerlinNoise;
-import net.minecraft.core.world.type.WorldTypes;
 import org.jetbrains.annotations.NotNull;
 
 import java.util.Random;
 
 public class ChunkDecoratorOverworldB173
-    implements ChunkDecorator
-{
+    implements ChunkDecorator {
     private final @NotNull World world;
     private final @NotNull PerlinNoise forestNoise;
 
@@ -28,7 +25,7 @@ public class ChunkDecoratorOverworldB173
     }
 
     @Override
-    public void decorate(final Chunk chunk) {
+    public void decorate(final @NotNull Chunk chunk) {
         this.world.scheduledUpdatesAreImmediate = true;
         BlockLogicSand.fallInstantly = true;
 
@@ -299,8 +296,8 @@ public class ChunkDecoratorOverworldB173
         }
 
         final int oceanY = this.world.getWorldType().getOceanY();
-        for(int xx = x + 8; xx < x + 8 + 16; xx++) {
-            for(int zz = z + 8; zz < z + 8 + 16; zz++) {
+        for (int xx = x + 8; xx < x + 8 + 16; xx++) {
+            for (int zz = z + 8; zz < z + 8 + 16; zz++) {
                 int yy = this.world.getHeightValue(xx, zz);
                 final Biome localBiome = this.world.getBlockBiome(xx, yy, zz);
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkGeneratorOverworldB173.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkGeneratorOverworldB173.java
index 47f280c6e..05bee89e7 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkGeneratorOverworldB173.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/ChunkGeneratorOverworldB173.java
@@ -5,16 +5,16 @@ import net.minecraft.core.world.generate.CavesLargeFeature;
 import net.minecraft.core.world.generate.LargeFeature;
 import net.minecraft.core.world.generate.RetroCavesLargeFeature;
 import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorOverworldB173
-    extends ChunkGeneratorPerlin
-{
-    public ChunkGeneratorOverworldB173(World world) {
+    extends ChunkGeneratorPerlin {
+    public ChunkGeneratorOverworldB173(@NotNull World world) {
         super(world,
-              new ChunkDecoratorOverworldB173(world),
-              new TerrainGeneratorOverworldB173(world),
-              new SurfaceGeneratorOverworldB173(world),
-              new LargeFeature[] { new RetroCavesLargeFeature(world.getWorldType().getMinY(), world.getWorldType().getMaxY() + 1) }
+            new ChunkDecoratorOverworldB173(world),
+            new TerrainGeneratorOverworldB173(world),
+            new SurfaceGeneratorOverworldB173(world),
+            new LargeFeature[]{new RetroCavesLargeFeature(world.getWorldType().getMinY(), world.getWorldType().getMaxY() + 1)}
         );
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/DensityGeneratorOverworldB173.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/DensityGeneratorOverworldB173.java
index 1d8d47db3..c212cec53 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/DensityGeneratorOverworldB173.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/DensityGeneratorOverworldB173.java
@@ -3,12 +3,12 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.b173;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.DensityGeneratorOverworld;
 import net.minecraft.core.world.noise.BetaPerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class DensityGeneratorOverworldB173
-    extends DensityGeneratorOverworld
-{
+    extends DensityGeneratorOverworld {
 
-    public DensityGeneratorOverworldB173(final World world) {
+    public DensityGeneratorOverworldB173(final @NotNull World world) {
         super(world,
             new BetaPerlinNoise(world.getRandomSeed(), 16, 0),
             new BetaPerlinNoise(world.getRandomSeed(), 16, 16),
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/SurfaceGeneratorOverworldB173.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/SurfaceGeneratorOverworldB173.java
index dff75eae1..96efed91b 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/SurfaceGeneratorOverworldB173.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/SurfaceGeneratorOverworldB173.java
@@ -3,11 +3,11 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.b173;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.SurfaceGeneratorOverworld;
 import net.minecraft.core.world.noise.BetaPerlinNoise;
+import org.jetbrains.annotations.NotNull;
 
 public class SurfaceGeneratorOverworldB173
-    extends SurfaceGeneratorOverworld
-{
-    public SurfaceGeneratorOverworldB173(final World world) {
+    extends SurfaceGeneratorOverworld {
+    public SurfaceGeneratorOverworldB173(final @NotNull World world) {
         super(world,
             new BetaPerlinNoise(world.getRandomSeed(), 4, 40),
             new BetaPerlinNoise(world.getRandomSeed(), 4, 44),
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/TerrainGeneratorOverworldB173.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/TerrainGeneratorOverworldB173.java
index d8de84463..fd8ac4a0d 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/TerrainGeneratorOverworldB173.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/b173/TerrainGeneratorOverworldB173.java
@@ -2,11 +2,11 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld.b173;
 
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.TerrainGeneratorOverworld;
+import org.jetbrains.annotations.NotNull;
 
 public class TerrainGeneratorOverworldB173
-    extends TerrainGeneratorOverworld
-{
-    public TerrainGeneratorOverworldB173(final World world) {
+    extends TerrainGeneratorOverworld {
+    public TerrainGeneratorOverworldB173(final @NotNull World world) {
         super(world,
             new DensityGeneratorOverworldB173(world)
         );
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/floating/ChunkGeneratorOverworldFloating.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/floating/ChunkGeneratorOverworldFloating.java
index 0308cc9ec..18cfe11f4 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/floating/ChunkGeneratorOverworldFloating.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/floating/ChunkGeneratorOverworldFloating.java
@@ -7,12 +7,11 @@ import net.minecraft.core.world.generate.chunk.perlin.ChunkGeneratorPerlin;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.ChunkDecoratorOverworld;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.SurfaceGeneratorOverworld;
 import net.minecraft.core.world.generate.chunk.perlin.drift.TerrainGeneratorDrift;
+import org.jetbrains.annotations.NotNull;
 
 public class ChunkGeneratorOverworldFloating
-    extends ChunkGeneratorPerlin
-{
-    public ChunkGeneratorOverworldFloating(World world)
-    {
-        super(world, new ChunkDecoratorOverworld(world), new TerrainGeneratorDrift(world), new SurfaceGeneratorOverworld(world), new LargeFeature[] { new CavesLargeFeature() });
+    extends ChunkGeneratorPerlin {
+    public ChunkGeneratorOverworldFloating(@NotNull World world) {
+        super(world, new ChunkDecoratorOverworld(world), new TerrainGeneratorDrift(world), new SurfaceGeneratorOverworld(world), new LargeFeature[]{new CavesLargeFeature()});
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
index 367024d93..a0888acfb 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
@@ -22,7 +22,7 @@ import java.util.Random;
 
 public class ChunkDecoratorOverworldHell
     extends ChunkFeatureDecorator {
-    private final PerlinNoise treeDensityNoise;
+    private final @NotNull PerlinNoise treeDensityNoise;
 
     public ChunkDecoratorOverworldHell(final @NotNull World world) {
         super(world);
